import "../../../../../../node_modules/element-plus/es/index.mjs";
/* empty css                                                                */
/* empty css                                                                    */
/* empty css                                                                     */
/* empty css                                                                        */
/* empty css                                                                    */
/* empty css                                                                          */
/* empty css                                                                           */
import { createElementBlock, openBlock, Fragment, createVNode, withCtx } from "vue";
import ParamsConfig from "../../../../components/ParamsConfig.vue2.mjs";
import "../../../../store/index.mjs";
import { ElFormItem } from "../../../../../../node_modules/element-plus/es/components/form/index.mjs";
import { ElRadioGroup, ElRadioButton } from "../../../../../../node_modules/element-plus/es/components/radio/index.mjs";
import { ElSwitch } from "../../../../../../node_modules/element-plus/es/components/switch/index.mjs";
import { ElInput } from "../../../../../../node_modules/element-plus/es/components/input/index.mjs";
const _sfc_main = {
  __name: "Page",
  props: {
    formData: Object
  },
  setup(__props) {
    return (_ctx, _cache) => {
      const _component_el_radio_button = ElRadioButton;
      const _component_el_radio_group = ElRadioGroup;
      const _component_el_form_item = ElFormItem;
      const _component_el_switch = ElSwitch;
      const _component_el_input = ElInput;
      return openBlock(), createElementBlock(Fragment, null, [
        createVNode(_component_el_form_item, { label: "跳转方式" }, {
          default: withCtx(() => [
            createVNode(_component_el_radio_group, {
              modelValue: __props.formData.transitionType,
              "onUpdate:modelValue": _cache[0] || (_cache[0] = ($event) => __props.formData.transitionType = $event),
              size: "small"
            }, {
              default: withCtx(() => [
                createVNode(_component_el_radio_button, {
                  label: "路由跳转",
                  value: "page"
                }),
                createVNode(_component_el_radio_button, {
                  label: "外部链接",
                  value: "external"
                })
              ]),
              _: 1
            }, 8, ["modelValue"])
          ]),
          _: 1
        }),
        createVNode(_component_el_form_item, { label: "打开新页面" }, {
          default: withCtx(() => [
            createVNode(_component_el_switch, {
              modelValue: __props.formData.openNewPage,
              "onUpdate:modelValue": _cache[1] || (_cache[1] = ($event) => __props.formData.openNewPage = $event)
            }, null, 8, ["modelValue"])
          ]),
          _: 1
        }),
        createVNode(_component_el_form_item, { label: "不可回退当前页" }, {
          default: withCtx(() => [
            createVNode(_component_el_switch, {
              modelValue: __props.formData.canNotGoBack,
              "onUpdate:modelValue": _cache[2] || (_cache[2] = ($event) => __props.formData.canNotGoBack = $event)
            }, null, 8, ["modelValue"])
          ]),
          _: 1
        }),
        createVNode(_component_el_form_item, { label: "页面地址" }, {
          default: withCtx(() => [
            createVNode(_component_el_input, {
              modelValue: __props.formData.routePath,
              "onUpdate:modelValue": _cache[3] || (_cache[3] = ($event) => __props.formData.routePath = $event)
            }, null, 8, ["modelValue"])
          ]),
          _: 1
        }),
        createVNode(_component_el_form_item, { label: "页面参数" }, {
          default: withCtx(() => [
            createVNode(ParamsConfig, {
              modelValue: __props.formData.routeParams,
              "onUpdate:modelValue": _cache[4] || (_cache[4] = ($event) => __props.formData.routeParams = $event)
            }, null, 8, ["modelValue"])
          ]),
          _: 1
        })
      ], 64);
    };
  }
};
export {
  _sfc_main as default
};
